- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Interface

# FFMpeg\Format\Video\Interactive

interface Interactive implements Transcodable

The interactive video interface.

This provide a method to list available
codecs. This is usefull to build interactive development and switch between
different codecs

## Methods

string | getVideoCodec() Returns the video codec | from Transcodable
array | getAvailableVideoCodecs() Returns the list of available video codecs for this format |

## Details

###
in Transcodable at line 27
`public string getVideoCodec()`

Returns the video codec

#### Return Value

string |

###
at line 29
`public array getAvailableVideoCodecs()`

Returns the list of available video codecs for this format

#### Return Value

array |